<!doctype html>
<html lang=en>
	<head>
		<meta charset=utf-8>
		<title>Postal Card Maker</title>
		<link rel="stylesheet" type="text/css" href="style.css">
	</head>
	<body>

		<header class="large-item">
			<!--h1>Postal Card Maker</h1-->
		</header>

		<form class="large-item container" action="traitement.php" method="POST" enctype="multipart/form-data">
			<div id="form" class="large-item container">
				<input required class="large-item" name="nom" placeholder="Nom" type="text">
				<input required class="large-item" name="prenom" placeholder="Prénom" type="text">
				<input required class="large-item" name="email" placeholder="Email" type="email">
				<textarea required maxlength="385" class="large-item" name="message" placeholder="Message"></textarea>
				<input required type="file" name="image" onchange="preview(this)">
				<label class="large-item" for="sendme">
					<input id="sendme" name="sendme" type="checkbox">
					<div style="margin-left:40px; margin-top:-38px;">Envoyez moi ma carte par email</div>
				</label>
				<input class="large-item" type="submit" value="Make">
			</div>
		</form>

		<main class="adaptable-item container">
			<img id="previewer" class="large-item" src=""></img>
		</main>


		<script>
			const preview = function(ctx) {
				if(!ctx.files || !ctx.files[0]) return;
				const element = document.getElementById('previewer');
				const reader = new FileReader();
				reader.onload = function(event) {
					element.setAttribute('src',event.target.result);
				}
				reader.readAsDataURL(ctx.files[0]);
			}
		</script>
	</body>
</html>
